RSASS_ISO< H > Struct Template Reference
Inheritance diagram for RSASS_ISO< H >:

## Public Types

typedef P1363_EMSA2 | Standard
| see SignatureStandard for a list of standards
typedef Standard::SignatureMessageEncodingMethod | MessageEncodingMethod
typedef TF_SignatureSchemeOptions< TF_SS< P1363_EMSA2, H, RSA_ISO, int >, RSA_ISO, MessageEncodingMethod, H > | SchemeOptions
typedef PK_FinalTemplate< TF_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate< TF_VerifierImpl< SchemeOptions > > | Verifier
| implements PK_Verifier interface
typedef RSAFunction_ISO | PublicKey
typedef InvertibleRSAFunction_ISO | PrivateKey

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class H>
struct RSASS_ISO< H >

Definition at line 149 of file rsa.h.

The documentation for this struct was generated from the following file:

- rsa.h